.\"/*
.\" * Copyright (c) 1996 John M. Vinopal
.\" * All rights reserved.
.\" *
.\" * Redistribution and use in source and binary forms, with or without
.\" * modification, are permitted provided that the following conditions
.\" * are met:
.\" * 1. Redistributions of source code must retain the above copyright
.\" *    notice, this list of conditions and the following disclaimer.
.\" * 2. Redistributions in binary form must reproduce the above copyright
.\" *    notice, this list of conditions and the following disclaimer in the
.\" *    documentation and/or other materials provided with the distribution.
.\" * 3. All advertising materials mentioning features or use of this software
.\" *    must display the following acknowledgement:
.\" *	This product includes software developed for the NetBSD Project
.\" *	by John M. Vinopal.
.\" * 4. The name of the author may not be used to endorse or promote products
.\" *    derived from this software without specific prior written permission.
.\" *
.\" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" * SUCH DAMAGE.
.\" */
.\" $FreeBSD: src/usr.sbin/sendmail/mailstats/mailstats.8,v 1.2.2.5 1999/09/05 11:41:19 peter Exp $
.Dd August 13, 1996
.Dt MAILSTATS 8
.Os
.Sh NAME
.Nm mailstats
.Nd display mail protocol statistics
.Sh SYNOPSIS
.Nm mailstats
.Op Fl o
.Op Fl C Ar sendmail.cf
.Op Fl f Ar sendmail.st
.Sh DESCRIPTION
.Nm Mailstats
displays mail statistics on a per mailer basis.
Each line of output contains
the mailer number, the count and byte-count of incoming messages,
the count and byte-count of outgoing messages, and the name of the
mailer unless the
.Fl o
flag is specified.  Common mailers include smtp and local (eg: 
.Nm mail.local,
the program which handles local delivery of mail).
.Pp
Statistics are read from the 
.Nm sendmail
statistics file
.Ar sendmail.st,
the location of which is defined in
.Ar sendmail.cf,
or specified with the
.Fl f
flag.  Mailers are likewise defined in the
.Ar sendmail.cf
file.  Statistics are cumulative; zero the statistics file
to reset the counters.
.Sh FILES
.Bl -tag -width /var/log/sendmail.st -compact
.It Pa /etc/sendmail.cf
sendmail configuration file
.It Pa /var/log/sendmail.st
sendmail statistics file
.El
.Sh SEE ALSO
.Xr mail.local 8 ,
.Xr sendmail 8

